using System.ComponentModel;

namespace e_suite.Utilities.Pagination;

public class Paging
{
    [DefaultValue(1)]
    public int Page { get; set; } = 1;

    [DefaultValue(10)]
    public int PageSize { get; set; } = 10;

    [DefaultValue("")]
    public string SortKey { get; set; } = "";

    [DefaultValue(true)]
    public bool SortAscending { get; set; } = true;

    [DefaultValue("{}")]
    public string Filters { get; set; } = "{}";
}